@extends("admin.layout.base")
@extends("admin.layout.header")

@section("title")
    Kontakter - Opret
@endsection

@section("path")
    <a href="{{ route('contacts.create') }}" class="text-white">Opret Kontakt</a> /
@endsection

@section("content")
    <style>
        .ck-editor__main {
            margin-bottom: 1rem;
        }
    </style>
    <script src="https://cdn.ckeditor.com/ckeditor5/21.0.0/classic/ckeditor.js"></script>

    <h1>Opret Kontakt:</h1>
    <form name="contact" method="post" action="{{ route("contacts.store") }}">
        @csrf
        <label for="contactname">Kontakt Navn:</label>
        <input type="text" name="contactname" id="contactname" placeholder="Navn" required>
        <label for="title">Titel:</label>
        <input type="text" name="title" id="title" placeholder="Titel" required>
        <label for="email">Email:</label>
        <input type="email" name="email" id="email" placeholder="x@y.z" required>
        <label for="tel">Telefon nr:</label>
        <input type="tel" name="phone" id="tel" placeholder="12345678" pattern="[0-9]{2}[0-9]{2}[0-9]{2}[0-9]{2}">
        <label for="teltimes">Telefon tider: (Forblives blank, hvis der ikke er nogen bestemte tider) - Brug Shift+Enter for at teksten vises lige neden under hinanden på hjemmesiden</label>
        <textarea name="phonetimes" id="editor"></textarea>
        <input type="submit" class="btn btn-dark text-white" value="Opret">
    </form>

    <script>
        ClassicEditor
            .create( document.querySelector( '#editor' ), {
                toolbar: [ 'heading', '|', 'bold', 'italic', 'link' ],
                heading: {
                    options: [
                        { model: 'paragraph', title: 'Paragraph', class: 'ck-heading_paragraph' },
                        { model: 'heading1', view: 'h3', title: 'Heading 1', class: 'sde-blue' },
                        { model: 'heading2', view: 'h4', title: 'Heading 2', class: 'sde-blue' }
                    ]
                }
            } )
            .catch( error => {
                console.log( error );
            } );

    </script>
@endsection
@section("scripts")
    <script>
        $(function() {
            $('form').areYouSure(
                {
                    message: 'It looks like you have been editing something. '
                        + 'If you leave before saving, your changes will be lost.'
                }
            );
        });
    </script>
@endsection
