@extends("admin.layout.base")
@extends("admin.layout.header")

@section("title")
    Aktivitet - Vis
@endsection

@section("path")
    <a href="{{ route('events.create') }}" class="text-white">Opret Aktivitet</a> /
@endsection

@section("content")
    <style>
        .toggle__label::before, .toggle__label::after {
            border-color: black;
        }
        .toggle__text::before {
            border-color: black;
        }

        #editor {
            margin-bottom: 1rem;
        }
    </style>
    <link href="{{ asset("/css/quill/quill.snow.css") }}" rel="stylesheet">
    <h1 id="errormesseages" >Opret Aktivitet:</h1>
    <form method="post" action="{{ route("events.store") }}" enctype="multipart/form-data">
        @csrf
        <label for="name">Aktivitet Navn:</label>
        <label hidden id="error" for="errormesseages">Dette navn findes allerede</label>
        <input type="text" name="name" id="name" max="60" required>
        <label for="accountable">Aktivitet Ansvarlig:</label>
        <input type="text" name="accountable" id="accountable" required>
        <label for="description">Aktivitet Beskrivelse:</label>
        <div id="editor"></div>
        <textarea name="description" class="d-none" id="hiddenArea"></textarea>
        <label for="date">Aktivitet dato:</label>
        <input type="datetime-local" name="date" id="date" required>
        <label class="toggle">
            <input class="toggle__input" type="checkbox" name="newsoption">
            <span class="toggle__label">
                    <span class="toggle__text">Opret som nyhed</span>
                </span>
        </label>
        <label id="fileuploadee"for="fileuploade">Baggrundsbillede til nyheden (Valgfri):</label>
        <input id="fileuploade" type="file" name="resource" accept="image/*">

        <input id="disable" type="submit" class="btn btn-dark text-white" value="Opret">
    </form>
    <script src="{{ asset("/js/quill/quill.js") }}"></script>
    <script>
        var container = document.getElementById("editor");
        var fullEditor = new Quill(container, {
            modules: {
                'toolbar': [
                    [ 'bold', 'italic', 'underline', 'strike' ],
                    [{ 'color': [] }],
                    [{ 'script': 'super' }, { 'script': 'sub' }],
                    [{ 'header': '1' }, { 'header': '2' }, 'blockquote' ],
                    [{ 'list': 'ordered' }, { 'list': 'bullet'}, { 'indent': '-1' }, { 'indent': '+1' }],
                    [ {'direction': 'rtl'}, { 'align': [] }],
                    [ 'link' ],
                    [ 'clean' ]
                ],
            },
            theme: 'snow'
        });
    </script>
    <script>
        var form = document.querySelector('form');
        form.onsubmit = function() {
            var myEditor = document.getElementById('editor');
            var html = myEditor.children[0].innerHTML;
            document.getElementById('hiddenArea').innerText = html;
        }
    </script>
@endsection
@section("scripts")
    <script>

        $(function() {
            $('form').areYouSure(
                {
                    message: 'It looks like you have been editing something. '
                        + 'If you leave before saving, your changes will be lost.'
                }
            );
        });

        $(document).ready(function () {
            $value = $('#name').val();
            $.ajax({
                type: 'get',
                url: '{{route('events.nameCheck')}}',
                data: {'nameCheck':$value},
                success:function (data) {
                    if(data){
                        $("#error").show(100);
                        $("#error").css('color', 'red');
                        $("#disable").prop('disabled', true);
                        $('#disable').css('cursor','not-allowed');
                    }else{
                        $("#error").hide();
                        $("#disable").prop('disabled', false);
                        $('#disable').css('cursor','pointer');
                    }

                },
                error:function (data) {
                    console.log(data);
                }
            });
        });

            $('#name').on('keyup', function () {
                $value = $(this).val();
                $.ajax({
                    type: 'get',
                    url: '{{route('events.nameCheck')}}',
                    data: {'nameCheck':$value},
                    success:function (data) {
                        if(data){
                            $("#error").show(100);
                            $("#error").css('color', 'red');
                            $("#disable").prop('disabled', true);
                            $('#disable').css('cursor','not-allowed');
                        }else{
                            $("#error").hide();
                            $("#disable").prop('disabled', false);
                            $('#disable').css('cursor','pointer');
                        }

                    },
                    error:function (data) {
                        console.log(data);
                    }
                });
            })
    </script>
@endsection
