@extends("admin.layout.base")
@extends("admin.layout.header")

@section("title")
    Aktiviteter - Vis
@endsection

@section("path")
    <a href="" class="text-white">Vis Aktiviteter</a> /
@endsection

@section("content")
    <?php
    date_default_timezone_set('Europe/Copenhagen');
    ?>
    <div class="row align-items-center">
        <a class="btn btn-inline btn-sde-blue mb-0" href="{{ route('events.create') }}"><img src="{{ asset('/images/icons/plus.svg') }}" alt="Create">Opret Aktivitet</a>

        <form method="post" action="{{ route("events.store") }}">
            @csrf
            <input type="text" class="form-controller" id="search" name="search" placeholder="Søg på Navn, Ansvarlig, Dato"></input>
        </form>
    </div>

    <table class="tbl mt-2">
        <tr>
            <th>Aktivitet Navn</th>
            <th>Aktivitet Ansvarlig</th>
            <th>Aktivitet Dato</th>
            <th style="width: 1em;"><img class="w-100" src="{{ asset('/images/icons/eye.svg') }}" alt="Show"></th>
            <th style="width: 1em;"><img class="w-100" src="{{ asset('/images/icons/pencil.svg') }}" alt="Update"></th>
            <th style="width: 1em;"><img class="w-100" src="{{ asset('/images/icons/trashcan.svg') }}" alt="Delete"></th>
        </tr>
        @foreach($events as $event)
            @if (date('Y-m-d H:i', strtotime('-1 day')) < date('Y-m-d H:i', strtotime($event->date)))
                <tr>
                    <td>{{ $event->name }}</td>
                    <td>{{ $event->accountable }}</td>
                    <td>{{ \Illuminate\Support\Facades\Date::createFromTimeStamp(strtotime($event->date))->format('d/m/Y \k\l\. H:i') }}</td>
                    <td><a href="{{ route("events.signups", [ "event" => $event ]) }}"><img class="w-100" src="{{ asset('/images/icons/eye-dark.svg') }}" alt="Show"></a></td>
                    <td><a href="{{ route("events.edit", [ "event" => $event ]) }}"><img class="w-100" src="{{ asset('/images/icons/pencil-dark.svg') }}" alt="Update"></a></td>
                    <td><form method="post" action="{{ route("events.destroy", [ "event" => $event ]) }}" class="w-100 nostyle">
                            @csrf
                            @method("delete")

                            <button class="w-100 nostyle" onclick="return confirm('Are you sure you want to delete?');" type="submit"><img class="w-100 cursor-pointer" src="{{ asset('/images/icons/trashcan-dark.svg') }}" alt="Delete"></button>
                        </form>
                    </td>
                </tr>
            @endif
        @endforeach
    </table>


    {{ $events->links() }}


    <script>
        $('#search').on('keyup', function () {
            $value = $(this).val();
            $.ajax({
                type: 'get',
                url: '{{route('events.search')}}',
                data: {'search':$value},
                success:function (data) {
                    $('tbody').html(data);
                },
                error:function (data) {
                    console.log(data);
                }
            });
        })
    </script>

@endsection
