@extends("admin.layout.base")
@extends("admin.layout.header")

@section("title")
    Opret Vejledning
@endsection

@section("path")
    <a href="{{ route('guides.create') }}" class="text-white">Opret Vejledning</a> /
@endsection

@section("content")
    <style>
        .toggle__label::before, .toggle__label::after {
              border-color: black;
          }
        .toggle__text::before {
            border-color: black;
        }

        #editor {
            margin-bottom: 1rem;
        }
    </style>
    <link href="{{ asset("/css/quill/quill.snow.css") }}" rel="stylesheet">
    <h1 id="errormesseages" >Opret Vejledning</h1>
    <form method="post" action="{{ route("guides.store") }}" enctype="multipart/form-data">
        @csrf
        <label for="title">Titel på guiden</label>
        <label hidden id="error" for="errormesseages">Navn findes allerede</label>
        <input type="text" name="name" id="title" required>
        <div id="editor"></div>
        <textarea name="guide_articles" class="d-none" id="hiddenArea"></textarea>
        <label class="toggle">
            <input class="toggle__input" type="checkbox" name="newsoption">
            <span class="toggle__label">
                    <span class="toggle__text">Opret som nyhed</span>
                </span>
        </label>
        <label id="fileuploadee"for="fileuploade">Baggrundsbillede til nyheden (Valgfri):</label>
        <input id="fileuploade" type="file" name="resource" accept="image/*">
        <input type="submit" id="disable" class="btn btn-dark text-white" value="Opret">
    </form>

    <script src="{{ asset("/js/quill/quill.js") }}"></script>
    <script>
        var container = document.getElementById("editor");
        var fullEditor = new Quill(container, {
            modules: {
                'toolbar': [
                    [ 'bold', 'italic', 'underline', 'strike' ],
                    [{ 'color': [] }],
                    [{ 'script': 'super' }, { 'script': 'sub' }],
                    [{ 'header': '1' }, { 'header': '2' }, 'blockquote' ],
                    [{ 'list': 'ordered' }, { 'list': 'bullet'}, { 'indent': '-1' }, { 'indent': '+1' }],
                    [ {'direction': 'rtl'}, { 'align': [] }],
                    [ 'link', 'video' ],
                    [ 'clean' ]
                ],
            },
            theme: 'snow'
        });
    </script>
    <script>
        var form = document.querySelector('form');
        form.onsubmit = function() {
            var myEditor = document.getElementById('editor');
            var html = myEditor.children[0].innerHTML;
            document.getElementById('hiddenArea').innerText = html;
        }
    </script>
@endsection
@section("scripts")
    <script>
        $(function() {
            $('form').areYouSure(
                {
                    message: 'It looks like you have been editing something. '
                        + 'If you leave before saving, your changes will be lost.'
                }
            );
        });


        //Dont delete me, if the user reloads the pages with text in the text-box this code runs.
        $(document).ready(function () {
            $value = $('#title').val();
            $.ajax({
                type: 'get',
                url: '{{route('guides.nameCheck')}}',
                data: {'nameCheck':$value},
                success:function (data) {
                    if(data){
                        $("#error").show(100);
                        $("#error").css('color', 'red');
                        $("#disable").prop('disabled', true);
                        $('#disable').css('cursor','not-allowed');
                    }else{
                        $("#error").hide();
                        $("#disable").prop('disabled', false);
                        $('#disable').css('cursor','pointer');
                    }

                },
                error:function (data) {
                    console.log(data);
                }
            });
        });

        $('#title').on('keyup', function () {
            $value = $(this).val();
            console.log($value);
            $.ajax({
                type: 'get',
                url: '{{route('guides.nameCheck')}}',
                data: {'nameCheck':$value},
                success:function (data) {
                    if(data){
                        $("#error").show(100);
                        $("#error").css('color', 'red');
                        $("#disable").prop('disabled', true);
                        $('#disable').css('cursor','not-allowed');
                    }else{
                        $("#error").hide();
                        $("#disable").prop('disabled', false);
                        $('#disable').css('cursor','pointer');
                    }

                },
                error:function (data) {
                    console.log(data);
                }
            });
        })


    </script>
@endsection
