@extends("admin.layout.base")
@extends("admin.layout.header")

@section("title")
    Opret Bruger Vejledning
@endsection

@section("path")
    <a href="{{ route('guides.index') }}" class="text-white">Opret Vejledning</a> /
@endsection

@section("content")
    <div class="row align-items-center">
        <a class="btn btn-inline btn-sde-blue mb-0" href="{{ route('guides.create') }}"><img src="{{ asset('/images/icons/plus.svg') }}" alt="Create">Opret Bruger Vejledning</a>
    </div>
    <table class="tbl mt-2">
        <tr>
            <th>Navn</th>
            <th style="width: 1em;"><img class="w-100" src="{{ asset('/images/icons/pencil.svg') }}" alt="Update"></th>
            <th style="width: 1em;"><img class="w-100" src="{{ asset('/images/icons/trashcan.svg') }}" alt="Delete"></th>
        </tr>
        @foreach($guides as $guide)
            <tr>
                <td>{{$guide->name}}</td>
                <td><a href="{{ route("guides.edit", [ "guide" => $guide ]) }}"><img class="w-100" src="{{ asset('/images/icons/pencil-dark.svg') }}" alt="Update"></a></td>
                <td><form method="post" action="{{ route("guides.destroy", [ "guide" => $guide ]) }}" class="w-100 nostyle">
                        @csrf
                        @method("delete")

                        <button onclick="return confirm('Are you sure you want to delete?');" class="w-100 nostyle" type="submit"><img class="w-100 cursor-pointer" src="{{ asset('/images/icons/trashcan-dark.svg') }}" alt="Delete"></button>
                    </form>
                </td>
            </tr>
        @endforeach
    </table>

    {{ $guides->links() }}
@endsection
