@extends("admin.layout.base")
@extends("admin.layout.header")

@section("title")
    Vis Lokationer
@endsection

@section("path")
    <a href="{{ route('locations.index') }}" class="text-white">Vis lokationer</a> /
@endsection

@section("content")
    <div class="row align-items-center">
        <a class="btn btn-inline btn-sde-blue mb-0" href="{{ route('locations.create') }}"><img src="{{ asset('/images/icons/plus.svg') }}" alt="Create">Opret Lokation</a>
    </div>
    <table class="tbl mt-2">
        <tr>
            <th>Navn</th>
            <th style="width: 1em;"><img class="w-100" src="{{ asset('/images/icons/eye.svg') }}" alt="Show"></th>
            <th style="width: 1em;"><img class="w-100" src="{{ asset('/images/icons/pencil.svg') }}" alt="Update"></th>
            <th style="width: 1em;"><img class="w-100" src="{{ asset('/images/icons/trashcan.svg') }}" alt="Delete"></th>
        </tr>
        @foreach($locations as $location)
            <tr>
                <td>{{$location->name}}</td>
                <td><a href="{{ route("locations.show", [ "location" => $location ]) }}"><img class="w-100" src="{{ asset('/images/icons/eye-dark.svg') }}" alt="Show"></a></td>
                <td><a href="{{ route("locations.edit", [ "location" => $location ]) }}"><img class="w-100" src="{{ asset('/images/icons/pencil-dark.svg') }}" alt="Update"></a></td>
                <td><form method="post" action="{{ route("locations.destroy", [ "location" => $location ]) }}" class="w-100 nostyle">
                        @csrf
                        @method("delete")

                        <button onclick="return confirm('Are you sure you want to delete?');" class="w-100 nostyle" type="submit"><img class="w-100 cursor-pointer" src="{{ asset('/images/icons/trashcan-dark.svg') }}" alt="Delete"></button>
                    </form>
                </td>
            </tr>
        @endforeach
    </table>

    {{ $locations->links() }}
@endsection
