<!DOCTYPE html>
<html lang="en">
<head>
    <title>@yield("title")</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="{{ mix("/css/admin.css") }}">
    <script src="{{ asset("/js/jquery-3.2.1.min.js") }}"></script>
</head>
<body>
<header class="row align-items-center" style="background-color: #00788a;">
    <img src="{{ URL::asset('/images/logos/Logo-hvid.svg') }}" class="brand" alt="Syddansk Erhvervsskole">
    <p class="text-white" style="margin-left: auto; padding-right: 24px; font-size: 1vw;">Lokation: {{ $location->name }}</p>
</header>
<main style="min-height: calc(100% - 72px); background-color: #ffffff;" id="mainDiv">
    <?php
        date_default_timezone_set('Europe/Copenhagen');
        $i = 1;
    ?>
    <div class="row">
        @foreach(\App\WashingReservation::query()->join('washing_machines', 'washing_machines.id', '=', 'washing_reservations.machine_id')->where("location_id", "=", $location->id)->where("time", "LIKE", date("Y-m-d"). "%")->orderBy("time", "asc")->get() as $reservation)
            @if (date('Y-m-d H:i:s', strtotime('-1 hour')) < $reservation->time)
                @if($i % 3 == 1)
                    </div>
                    <div class="row w-100">
                @endif
                <div class="reservation col align-items-center" style="margin: 0 32px 1.75rem 32px; width: calc(33% - 64px);">
                    <h2 style="font-size: 2vw">{{ \App\WashingMachine::query()->find($reservation->machine_id)->name }}</h2>
                    <div class="col align-items-center">
                        <span style="font-size: 1vw"><b>Dato:</b> {{ \Illuminate\Support\Facades\Date::createFromTimeStamp(strtotime($reservation->time))->format('d/m/Y') }}</span>
                        <span style="font-size: 2vw"><b>Tid:</b> {{ \Illuminate\Support\Facades\Date::createFromTimeStamp(strtotime($reservation->time))->format('\k\l\. H:i') }} - {{ \App\User::query()->where("id", "=", $reservation->user_id)->first()->name_first }} {{ \App\User::query()->where("id", "=", $reservation->user_id)->first()->name_last }}</span>
                    </div>
                </div>
                <?php $i++; ?>
            @else
                {{ \App\WashingReservation::query()->join('washing_machines', 'washing_machines.id', '=', 'washing_reservations.machine_id')->where("location_id", "=", $location->id)->where('time', '<', date('Y-m-d H:i:s'). '%')->delete() }}
            @endif
        @endforeach
        @if($i == 1)
            <b class="w-100 text-center" style="font-size: 2vw; padding-top: 16px;">Der er ingen vaskemaskine reservationer for i dag.</b>
        @endif
    </div>
</main>

<script src="{{ mix("/js/app.js") }}"></script>
<script type="text/javascript">
    $(document).ready(function () {
        setInterval(function(){ // There has to be a space between " and # or it will not load correctly
            $('#mainDiv').load(" #mainDiv");
        }, (60000*1));
    });
</script>
@yield("scripts")
</body>
</html>
