@extends("admin.layout.base")
@extends("admin.layout.header")

@section("title")
    Menuplan - Vis
@endsection

@section("path")
    <a href="{{ route('menu-plans.index') }}" class="text-white">Vis Menuplan</a> /
@endsection

@section("content")
    <script src="{{ asset("/js/jquery-3.2.1.min.js") }}"></script>
    <div class="row align-items-center">
        <a class="btn btn-inline btn-sde-blue mb-0" href="{{ route('menu-plans.create') }}"><img src="{{ asset('/images/icons/plus.svg') }}" alt="Create">Opret Menuplan</a>
    </div>

    <table class="tbl mt-2">
        <tr>
            <th>Uge</th>
            <th style="width: 1em;"><img class="w-100" src="{{ asset('/images/icons/print-hvid.svg') }}" alt="Print"></th>
            <th style="width: 1em;"><img class="w-100" src="{{ asset('/images/icons/pencil.svg') }}" alt="Update"></th>
            <th style="width: 1em;"><img class="w-100" src="{{ asset('/images/icons/trashcan.svg') }}" alt="Delete"></th>
        </tr>
        @foreach($menuPlans as $menuplan)
        <tr>
            <td>{{$menuplan->week}}</td>
            <td><a href="{{ route("pdf.genPDF", [ "menuPlan" => $menuplan ]) }}" target="_blank"><img class="w-100" src="{{ asset('/images/icons/print.svg') }}" alt="Print"></a></td>
            <td><a href="{{ route("menu-plans.edit", [ "menu_plan" => $menuplan ]) }}"><img class="w-100" src="{{ asset('/images/icons/pencil-dark.svg') }}" alt="Update"></a></td>
            <td><form method="post" action="{{ route("menu-plans.destroy", [ "menu_plan" => $menuplan ]) }}" class="w-100 nostyle">
                    @csrf
                    @method("delete")

                    <button onclick="return confirm('Are you sure you want to delete?');" class="w-100 nostyle" type="submit"><img class="w-100 cursor-pointer" src="{{ asset('/images/icons/trashcan-dark.svg') }}" alt="Delete"></button>
                </form>
            </td>
        </tr>
        @endforeach
    </table>

    {{ $menuPlans->links() }}


    <script>
        $('#search').on('keyup', function () {
            $value = $(this).val();
            $.ajax({
                type: 'get',
                url: '{{route('menu-plans.search')}}',
                data: {'search':$value},
                success:function (data) {
                    $('tbody').html(data);
                },
                error:function (data) {
                    console.log(data);
                }
            });
        })
    </script>


@endsection
