@extends("admin.layout.base")
@extends("admin.layout.header")

@section("title")
    Bruger - Vis
@endsection

@section("path")
    <a href="{{ route('users.index') }}" class="text-white">Vis Brugere</a> /
@endsection

@section("content")

    <style>
        .showUsers {
            position: relative;
            display: inline-block;
            overflow: visible;
        }

        .showUsers .showUserImages {
            visibility: hidden;
            width: 250px;
            max-height: 500px;
            max-width: 300px;
            object-fit: cover;
            background-color: transparent;
            color: #fff;
            text-align: center;
            border-radius: 6px;
            padding: 5px 0;
            position: absolute;
            z-index: 10;
            top: -5px;
            right: 105%;
            display: block;
        }

        .showUsers:hover .showUserImages {
            visibility: visible;
            z-index: 100;
        }

        .noImages{
            cursor: not-allowed;
        }

        td >
    </style>


    <div class="row align-items-center">
        <a class="btn btn-inline btn-sde-blue mb-0" href="{{ route('users.create') }}"><img src="{{ asset('/images/icons/plus.svg') }}" alt="Create">Opret Bruger</a>

        <form method="post" action="{{ route("users.store") }}">
            @csrf
            <input type="text" class="form-controller" id="search" name="search"  placeholder="Søg efter navn,email,tlf">
        </form>
        <button id="filterButton" type="button" class="btn btn-sde-blue mb-0">Filter</button>
    </div>

    <div id="showHideCheckbox" class="mt-1">
        <input class="checkbox-inline" type="checkbox" name="checkbox" id="navn" value="navn">
        <label for="navn">Navn</label>
        <input class="checkbox-inline" type="checkbox" name="checkbox" id="efternavn" value="efternavn">
        <label for="efternavn">Efternavn</label>
        <input class="checkbox-inline" type="checkbox" name="checkbox" id="email" value="email">
        <label for="email">Email</label>
        <input class="checkbox-inline" type="checkbox" id="telefon" name="checkbox" value="telefon">
        <label for="telefon">Telefon</label>
        <input class="checkbox-inline" type="checkbox" id="rolle" name="checkbox"value="rolle">
        <label for="rolle">Rolle</label>
    </div>
    <div id="showHideCheckboxs" style="margin-bottom: -38px">
    </div>

    <table class="tbl mt-2">
        <tr>
            <th>Fornavn</th>
            <th>Efternavn</th>
            <th>Email</th>
            <th>Tlf nr</th>
            <th>Rolle(r)</th>
            <th style="width: 1em;"><img class="w-100" src="{{ asset('/images/icons/eye.svg') }}" alt="ShowImage"></th>
            <th style="width: 1em;"><img class="w-100" src="{{ asset('/images/icons/pencil.svg') }}" alt="Update"></th>
            <th style="width: 1em;"><img class="w-100" src="{{ asset('/images/icons/trashcan.svg') }}" alt="Delete"></th>
        </tr>
        @foreach($users as $user)
            <tr>
                <td>{{ $user->name_first }}</td>
                <td>{{ $user->name_last }}</td>
                <td>{{ $user->email }}</td>
                <td>{{ $user->phone }}</td>
                <td>

                    @for($i = 0; $i < count($user->roles); $i++)
                        @if(count($user->roles)-1 != $i)
                            {{$user->roles[$i]->name}},
                        @else
                            {{$user->roles[$i]->name}}
                        @endif
                    @endfor
                </td>
                @if($user->resource_id !== null)
                    <td style="overflow: visible"><a class="showUsers"><img src="{{ asset('/images/icons/eye-dark.svg') }}"><img src="{{ asset(\App\Resource::query()->where("id", "=", $user->resource_id)->first()->filename) }}" class="showUserImages"></a></td>
                @else
                    <td style="overflow: visible"><a class="showUsers noImages"><img src="{{ asset('/images/icons/eye-dark.svg') }}"><img src="" class="showUserImages"></a></td>
                @endif
                <td><a href="{{ route("users.edit", [ "user" => $user->id ]) }}"><img class="w-100" src="{{ asset('/images/icons/pencil-dark.svg') }}" alt="Update"></a></td>
                <td><form method="post" action="{{ route("users.destroy", [ "user" => $user ]) }}" class="w-100 nostyle">
                        @csrf
                        @method("delete")

                        <button class="w-100 nostyle" onclick="return confirm('Are you sure you want to delete?');" type="submit"><img class="w-100 cursor-pointer" src="{{ asset('/images/icons/trashcan-dark.svg') }}" alt="Delete"></button>
                    </form>
                </td>
            </tr>
        @endforeach
    </table>
    {{ $users->links() }}

        <script>
            var url = new URL(window.location.href);
            var page = url.searchParams.get("page");

            $('#search').on('keyup', function () {
                $value = $(this).val();
                $checkboxValue = $( "input:checked" ).val();
                $.ajax({
                    type: 'get',
                    url: '{{route('users.search')}}',
                    data: {'search':$value, 'isCheck': $checkboxValue, 'page': page },
                    success:function (data) {
                        $('tbody').html(data);
                    },
                    error:function (data) {
                        console.log(data);
                    }
                });
            })
        </script>



        <script>

                var $box;
                $("input:checkbox").on('click', function() {
                    $box = $(this);
                    if ($box.is(":checked")) {
                        var group = "input:checkbox[name='" + $box.attr("name") + "']";
                        $(group).prop("checked", false);
                        $box.prop("checked", true);
                    } else {
                        $box.prop("checked", false);
                    }
                });


            //Show hide search filter
            $('#showHideCheckbox').hide();
            $('#showHideCheckboxs').hide();
                $("#filterButton").click(function(){
                    $('#showHideCheckbox').toggle();
                    $('#showHideCheckboxs').toggle();
                });



        </script>



@endsection
