@extends("admin.layout.base")
@extends("admin.layout.header")

@section("title")
    Vaskemaskiner - Vis
@endsection

@section("path")
    <a href="{{ route('washing-machines.index') }}" class="text-white">Vis Vaskemaskiner</a> /
@endsection

@section("content")
    <div class="row align-items-center">
        <a class="btn btn-inline btn-sde-blue mb-0" href="{{ route('washing-machines.create') }}"><img src="{{ asset('/images/icons/plus.svg') }}" alt="Create">Opret Vaskemaskine</a>
        <div class="mt-1 ml-1">
            <select name="risRosName" id="locationID">
                <option selected="selected" name="all" value="all">Alle</option>
                @foreach(\App\Location::query()->get() as $location)
                    <option value="{{$location->id}}">{{$location->name}}</option>
                @endforeach
            </select> <label>Vælg bygning</label>
        </div>
    </div>
    <table class="tbl mt-2">
        <tr>
            <th>Navn</th>
            <th>Lokation</th>
            <th style="width: 1em;"><img class="w-100" src="{{ asset('/images/icons/pencil.svg') }}" alt="Update"></th>
            <th style="width: 1em;"><img class="w-100" src="{{ asset('/images/icons/trashcan.svg') }}" alt="Delete"></th>
        </tr>
        @foreach($machines as $machine)
        <tr>
            <td>{{$machine->name}}</td>
            <td>{{\App\Location::query()->where("id", "=", $machine->location_id)->first()->name}}</td>
            <td><a href="{{ route('washing-machines.edit', [ 'washing_machine' => $machine ]) }}"><img class="w-100" src="{{ asset('/images/icons/pencil-dark.svg') }}" alt="Update"></a></td>
            <td><form method="post" action="{{ route('washing-machines.destroy', [ 'washing_machine' => $machine ]) }}" class="w-100 nostyle">
                    @csrf
                    @method("delete")

                    <button class="w-100 nostyle" onclick="return confirm('Are you sure you want to delete?');" type="submit"><img class="w-100 cursor-pointer" src="{{ asset('/images/icons/trashcan-dark.svg') }}" alt="Delete"></button>
                </form>
            </td>
        </tr>
        @endforeach
    </table>
    <script>
        $('#locationID').change(function () {
            $value = $('#locationID').find(":selected").val();
            console.log($value);
            $.ajax({
                type: 'get',
                url: '{{route('washing-machines.search')}}',
                data: {'option':$value},
                success:function (data) {
                    console.log($value);
                    $('tbody').html(data);
                },
                error:function (data) {
                    console.log(data);
                }
            });
        })
    </script>
@endsection
