@extends("app.layout.base")
@section("title")
    Kontakt
@endsection

@section("content")
    <main style="justify-content: unset">
        <h1 class="text-center sde-blue mt-0 mb-0">{{__('msg.kontakter')}}</h1>
        @if(!$contacts->isEmpty())
            @foreach($contacts as $contact)
                <h4 class="mt-2">{{__('msg.navn')}}: {{ $contact->contactname }}</h4>
                <h4 class="mt-0">{{__('msg.email')}}: {{ $contact->email }}</h4>
                <h4 class="mt-0">{{ $contact->title }}</h4>
                @if($contact->phonetimes)
                    <h4 class="mt-0 mb-0">{{__('msg.telefontid')}}:</h4>
                    {!! $contact->phonetimes !!}
                @endif
                @if($contact->phone)
                    <span class="text-center sde-black-20 mt-1">+45 {{ chunk_split($contact->phone, 2, ' ') }}</span>
                    <a class="btn text-center btn-sde-blue mt-1" href="tel:+45{{ $contact->phone }}">{{__('msg.ring')}}</a>
                @endif
            @endforeach
        @else
            <p class="text-center">{{__('msg.dereringenkontakter')}}!</p>
        @endif
        <span class="text-center sde-black-20 mt-1">{{__('msg.sendfeedback')}}</span>
        <a class="btn text-center btn-sde-blue mt-1" href="{{ route('feedbacks.create') }}">{{__('msg.givfeedback')}}</a>
    </main>
@endsection
