@extends("user.layout.base")

@section("title")
    Login
@endsection

@section("content")
    <main style="background-color: #00788a; height: 100%;">
        <div class="brand">
            <img src="{{URL::asset('/images/logos/Logo-hvid.svg')}}" alt="Syddansk Erhvervsskole">
        </div>
        <form action="{{ route("users.login") }}" method="post">
            @csrf
            <input class="appinput" type="email" name="email" placeholder="Email" required>
            <div class="input-group text-left">
                <input type="password" class="appinput form-control" name="password" id="password" placeholder="Password" required>
                <span class="fa fa-fw fa-eye field-icon toggle-password" id="fa-password" onclick="show('password', 'fa-password')" style="background-color: #00788a; color: white;"></span>
            </div>
            <label class="toggle">
                <input class="toggle__input" type="checkbox" name="rememberpassword">
                <span class="toggle__label">
                    <span class="toggle__text text-white">Remember me</span>
                </span>
            </label>
            {!! session()->get('success#passwordchange') !!}
            {!! session()->get('error#wrongcredentials') !!}
            {!! session()->get('success#loggedout') !!}
            <input class="btn btn-dark" type="submit" value="Sign in">
        </form>
        <a class="text-white text-center" href="{{ route('users.show-forgot') }}">Forgot password?</a>
    </main>
@endsection

@section("scripts")
    <script>
        function show($passID, $faID) {
            var inputPass = document.getElementById($passID);
            var faEye = document.getElementById($faID);

            if (inputPass.type === "password") {
                inputPass.type = "text";
                faEye.style.color = "#999";
            } else {
                inputPass.type = "password";
                faEye.style.color = "#fff";
            }
        }
    </script>
@endsection
